Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class MIGPanelRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.MIGPanelRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class MIGPanelRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`MIGPanelRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`Integer` | `getBorderWidth()`
`Integer` | `getCellPadding()`
`Integer` | `getCellSpacing()`
`int` | `getColspan(int rowNumber, int cellNumber)`
`Map<String,Object>` | `getDataMap()`
`List<List<FormItemRepresentation>>` | `getElements()`
`Integer` | `getRows()`
`int` | `getRowspan(int rowNumber, int cellNumber)`
`String` | `getTitle()`
`int` | `hashCode()`
`void` | `setBorderWidth(Integer borderWidth)`
`void` | `setCellPadding(Integer cellPadding)`
`void` | `setCellSpacing(Integer cellSpacing)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setElement(int rowNumber, int cellNumber, FormItemRepresentation subRep, int colspan, int rowspan)`
`void` | `setRows(Integer rows)`
`void` | `setTitle(String title)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIGPanelRepresentation

    public MIGPanelRepresentation()

Method Detail

### getRows

    public Integer getRows()

### setRows

    public void setRows(Integer rows)

### getBorderWidth

    public Integer getBorderWidth()

### setBorderWidth

    public void setBorderWidth(Integer borderWidth)

### getCellSpacing

    public Integer getCellSpacing()

### setCellSpacing

    public void setCellSpacing(Integer cellSpacing)

### getCellPadding

    public Integer getCellPadding()

### setCellPadding

    public void setCellPadding(Integer cellPadding)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### setElement

    public void setElement(int rowNumber,
                           int cellNumber,
                           FormItemRepresentation subRep,
                           int colspan,
                           int rowspan)

### getElements

    public List<List<FormItemRepresentation>> getElements()

### getColspan

    public int getColspan(int rowNumber,
                          int cellNumber)

### getRowspan

    public int getRowspan(int rowNumber,
                          int cellNumber)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.